---
title: "Cancel invite"
url: "https://docs.signnow.com/docs/document-field-invite/operations/put-document-document_id-fieldinvitecancel"
type: "endpoint"
section: "document-field-invite"
slug: "document-field-invite/operations/put-document-document_id-fieldinvitecancel"
method: "PUT"
path: "/document/{document_id}/fieldinvitecancel"
operation_id: "put-document-document_id-fieldinvitecancel"
authorization: "bearer"
---

# Cancel invite

`PUT /document/{document_id}/fieldinvitecancel`

Cancels an invite to a document.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `document_id` | string | Yes | ID of the requested document. |

## Request Body

**Schema**

```json
{
  "type": "object",
  "required": [
    "reason"
  ],
  "properties": {
    "reason": {
      "type": "string",
      "minLength": 1,
      "description": "The reason for cancellation."
    }
  },
  "x-examples": {
    "example-1": {
      "reason": "Cancellation reason"
    }
  },
  "description": ""
}
```

**Example** (`example-1`)

```json
{
  "reason": "Cancellation reason"
}
```

## Responses

### 200

Returns successful status if the request was correct. Returns an error when the request is sent with an incorrect document ID.

* Incorrect access token, "code": 1537. Message: "invalid_token"
* Incorrect document id, "code": 65582. Message: "Document not found."
* Reason not specified, "code": 65536. Message: "The reason value must not be empty string."

**Example** (`example-1`)

```json
{
  "status": "success"
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X PUT \
  "https://api.signnow.com/document/{document_id}/fieldinvitecancel" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"reason": "Cancellation reason"}'
```

---
*Full reference: https://docs.signnow.com/docs/document-field-invite/operations/put-document-document_id-fieldinvitecancel*
